Arch SplitMesh

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SplitMesh and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch SplitMesh.svg Arch SplitMesh

Menüeintrag
Arch → Dienstprogramme → Netz zerlegen
Arbeitsbereich
Arch-Arbeitsbereich
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch SelectNonSolidMeshes, Wandelt Netz in Form um


Beschreibung

Diese Werkzeug teilt ein ausgewähltes Mesh-Objekt in die separaten Komponenten.

Anwendung

  1. Wähle ein Netz-Objekt
  2. Drücke den Arch SplitMesh.png Netz zerlegen-Eintrag in Arch → Dienstprogramme → Netz zerlegen.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Netz-zerlegen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

new_list = splitMesh(obj, mark=True)
  • Teilt das gegebene Netz-Objekt obj in separate Komponenten.
  • Falls mark auf True gesetzt ist, werden nicht-mannigfaltige Komponenten rot dargestellt.
  • new_list ist eine Liste aller einzelnen Komponenten, aus denen das Netz besteht.

Beispiel:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)